#include "pin_macros.h"

//#define katod//    .   

#ifdef katod
#warning katod
#else
#warning anod	
#endif


#define PINLED	PINB
#define PORTLED	PORTB
#define	DDRLED	DDRB
#define	PORTZN	PORTD
#define DDRZN	DDRD
#define	ZN0		_BV(0)
#define	ZN1		_BV(1)
#define	ZN2		_BV(2)
#define	BITZN	(ZN0|ZN1|ZN2)


#define PIN_INTERRUPT		D,3,H//  
#define OUT_TRIAC			A,4,H
#define OUT_RELE			C,3,H
#define OUT_ALARM_LED		D,6,H
#define OUT_ON_NAGREV		D,5,H
#define SOUNDER				A,7,H
#define SOUNDER_LED			A,0,H
#define KEY_PRESS			D,4,L



//#define TIME_T1(tim)	(  ( tim/(1/F_CPU*64) ) )
#define TIME_T1(tim)	( (uint16_t)  ( tim*100 ) )


#define	PORT_1wire	PORTC
#define	DDR_1wire	DDRC
#define	PIN_1wire	PINC
#define	pwire0 			_BV(0)	// DQ DS18B20



//--- ---
#define sA	_BV(2)
#define sB	_BV(6)
#define sC	_BV(0)
#define sD	_BV(4)
#define sE	_BV(3)
#define sF	_BV(7)
#define sG	_BV(5)
#define sH	_BV(1)
/*		 -A-
		F	B
		 -G-
		E	C
		 -D-	*/
const uint8_t font[]={
sA|sB|sC|sD|sE|sF,//0
sB|sC,//1
sA|sB|sG|sE|sD,//2
sA|sB|sG|sC|sD,//3
sF|sG|sB|sC,//4
sA|sF|sG|sC|sD,//5
sA|sF|sG|sC|sD|sE,//6
sA|sB|sC,//7
sA|sB|sC|sD|sE|sF|sG,//8
sA|sB|sC|sD|sG|sF,//9
sA|sD|sE|sF|sG,//E
sD|sE|sF|sG,//t
sB|sC|sD|sE|sG,//d
sA|sB|sC|sE|sF|sG,//A
sA|sB|sE|sF|sG,//P
sB|sC|sD|sF|sG,//
sA|sD|sE|sF,//C
sA|sE|sF|sG,//F
sC|sE|sG,//n
sF|sE|sD|sC|sB,//U
sC|sD|sE|sG,//o
sA|sE|sF,//f_G
sE|sF,//f_I
sA|sB|sC|sE|sF,//f_N
sC,//f_i
sD|sE|sG,//f_c
//sA|sB|sC|sD|sE|sF|sG,//8
};

#define f_E	10
#define f_t	11
#define f_d	12
#define f_A	13
#define f_P	14
#define f_y 15
#define f_C 16
#define f_F 17
#define f_n 18
#define f_U 19
#define f_o 20
#define f_G 21
#define f_I 22
#define f_N 23
#define f_i 24
#define f_c 25



static uint8_t	led_buffer[3], znmesto, state_wire, power, power_flag, tmp_power=1,
				count_num, state, time_blank, alarm_T, time_alarm, status_nagrev,
				out_1wire, temperature[2], time_wire, 
				bcd_num2,bcd_num3,bcd_num4;

unsigned int porog=(uint16_t)(35*16), tmp_porog, Temperatura, Old_Temperatura, TimeKey;
const unsigned int time_pause[]=
{TIME_T1(0.75), TIME_T1(0.55), TIME_T1(0.47), TIME_T1(0.40), 
 TIME_T1(0.35), TIME_T1(0.3), TIME_T1(0.2) };	

unsigned char time_flag;

//--------time_flag-----------
#define _01sek		0
#define _led		1
#define	_blank		2
#define	_crc_error	3
//-------------EEPROM-----------------
#define ADR_EEP		1
//------------------------------------

